## python-qpageview 0.6.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = qpageview
SOURCEDIR     = source
BUILDDIR      = build


# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Website and Upload targets (added by WB)
# This uses the conf.py in the web/ directory
WEBDIR        = web
WEBBUILDDIR   = web/build
website:
	@$(SPHINXBUILD) -M clean "$(SOURCEDIR)" "$(WEBBUILDDIR)" -c "$(WEBDIR)" $(SPHINXOPTS) $(O)
	@$(SPHINXBUILD) -M html "$(SOURCEDIR)" "$(WEBBUILDDIR)" -c "$(WEBDIR)" $(SPHINXOPTS) $(O)

upload: website
	rsync -ave ssh --exclude '*~' \
		"$(WEBBUILDDIR)"/html/* \
		wilbertb@qpageview.org:/home/wilbertb/domains/qpageview.org/public_html/

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-qpageview (0.6.2-5) unstable; urgency=medium

  * Update d/control for Debian Standard version

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sat, 13 Apr 2024 12:39:19 +0200

python-qpageview (0.6.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 12:45:15 +0000

python-qpageview (0.6.2-3) unstable; urgency=medium

  * Team upload.
  * Replace dh "--with python3" with build-dependency on dh-sequence-python3
  * Add missing dependencies on python3-pyqt5 and python3-pyqt5.qtsvg;
    fixes error detected by Debian CI autopkgtest.

 -- Anthony Fok <foka@debian.org>  Tue, 14 Jun 2022 04:20:12 -0600

python-qpageview (0.6.2-2) unstable; urgency=medium

  * Team upload.

  [ Anthony Fok ]
  * Source-only upload for migration to testing

  [ Jean Baptiste Favre ]
  * Update Standards-Version to 4.6.1
  * Add Testsuite to d/control
  * Update d/copyright to use proper license codename

 -- Anthony Fok <foka@debian.org>  Mon, 13 Jun 2022 05:48:59 -0600

python-qpageview (0.6.2-1) unstable; urgency=medium

  * import qpageview_0.6.2.orig.tar.gz (Closes: #1012051)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sun, 29 May 2022 14:25:44 +0200

=== debian/control ===
Source: python-qpageview
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jean Baptiste Favre <debian@jbfavre.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               python3-pyqt5,
               python3-pyqt5.qtsvg
Standards-Version: 4.7.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/frescobaldi/qpageview
Vcs-Git: https://salsa.debian.org/python-team/packages/python-qpageview.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-qpageview

Package: python3-qpageview
Architecture: all
Depends: python3-pyqt5,
         python3-pyqt5.qtsvg,
         ${python3:Depends},
         ${misc:Depends}
Description: qpageview provides a document viewer widget for Qt5/PyQt5
 qpageview is a versatile View widget with many optional
 mixin classes to cater for anything between basic or powerful
 functionality while preserving performances displaying
 large PDF document, rendering in a background thread
 with smart priority control.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = qpageview

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/qpageview/qpageview-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-qpageview 1.0.3

=== debian/changelog ===
python-qpageview (1.0.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.0.3

 -- Bastian Germann <bage@debian.org>  Wed, 04 Mar 2026 18:18:10 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,13 @@
 Uploaders: Jean Baptiste Favre <debian@jbfavre.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
+               python3-hatchling,
                python3-setuptools,
-               python3-pyqt5,
-               python3-pyqt5.qtsvg
+               python3-pyqt6,
+               python3-pyqt6.qtpdf,
+               python3-pyqt6.qtsvg
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
@@ -18,11 +21,12 @@
 
 Package: python3-qpageview
 Architecture: all
-Depends: python3-pyqt5,
-         python3-pyqt5.qtsvg,
+Depends: python3-pyqt6,
+         python3-pyqt6.qtpdf,
+         python3-pyqt6.qtsvg,
          ${python3:Depends},
          ${misc:Depends}
-Description: qpageview provides a document viewer widget for Qt5/PyQt5
+Description: qpageview provides a document viewer widget for Qt6/PyQt6
  qpageview is a versatile View widget with many optional
  mixin classes to cater for anything between basic or powerful
  functionality while preserving performances displaying
